svn commit: r202339 - head/usr.sbin/mergemaster

Doug Barton dougb at FreeBSD.org
Fri Jan 15 03:56:48 UTC 2010


Author: dougb
Date: Fri Jan 15 03:56:48 2010
New Revision: 202339
URL: http://svn.freebsd.org/changeset/base/202339

Log:
  Now that we've officially arrived at FreeBSD 9, remove the IGNORE_MOTD
  compat shim as advertised. This change should not be MFC'ed.

Modified:
  head/usr.sbin/mergemaster/mergemaster.sh

Modified: head/usr.sbin/mergemaster/mergemaster.sh
==============================================================================
--- head/usr.sbin/mergemaster/mergemaster.sh	Fri Jan 15 03:39:03 2010	(r202338)
+++ head/usr.sbin/mergemaster/mergemaster.sh	Fri Jan 15 03:56:48 2010	(r202339)
@@ -651,17 +651,14 @@ case "${RERUN}" in
     ;;
   esac
 
-  # Avoid comparing the motd if the user specifies it in .mergemasterrc
-  # Compatibility shim to be removed in FreeBSD 9.x
   case "${IGNORE_MOTD}" in
-  '') ;;
-  *) IGNORE_FILES="${IGNORE_FILES} /etc/motd"
+  *)
      echo ''
      echo "*** You have the IGNORE_MOTD option set in your mergemaster rc file."
      echo "    This option is deprecated in favor of the IGNORE_FILES option."
      echo "    Please update your rc file accordingly."
      echo ''
-     press_to_continue
+     exit 1
      ;;
   esac
 


More information about the svn-src-all mailing list